.\" $NCDId: @(#)auinfo.man,v 1.10 1994/06/03 17:05:47 greg Exp $
.TH AUINFO 1 "" ""
.SH NAME
auinfo \- show information about a Network Audio System server
.SH SYNOPSIS
.B "auinfo"
[\-audio \fIservername\fP]
.SH DESCRIPTION
The \fIauinfo\fP program provides information describing a Network
Audio System server.  It lists the capabilities of the server, the
devices that are attached to it, the data formats that are accepted,
and any predefined sounds that have been stored in the server.
.SH EXAMPLE
.PP
The following example shows the output produced by \fIauinfo\fP when connected
to an NCD MCX(tm) display station:
.nf

Audio Server:           tcp/lemkemcx:8000
Version Number:         2.0
Vendor:                 Network Computing Devices Inc.
Vendor Release:         3000
Min Sample Rate:        1000
Max Sample Rate:        52000
Max Tracks:             32
Number of Formats:      7
Formats:                ULAW8  LinearUnsigned8  LinearSigned8  
                        LinearSigned16MSB  LinearUnsigned16MSB  
                        LinearSigned16LSB  LinearUnsigned16LSB  
Number of Elem Types:   11
Element Types:          ImportClient  ImportDevice  ImportBucket  Bundle  
                        MultiplyConstant  AddConstant  Sum  ExportClient  
                        ExportDevice  ExportBucket  ExportMonitor  
Number of Wave Forms:   0
Number of Actions:      2
Actions:                ChangeState  SendNotify  
Number of Devices:      5
    Device 0:
        Changable:      Gain  LineMode  
        ID:             0x34
        Kind:           PhysicalInput
        Use:            Import  
        Format:         LinearSigned16MSB
        Num Tracks:     1
        Access:         Import  List  
        Description:    "Mono Channel Input"
        Min Rate:       1000
        Max Rate:       52000
        Location:       Left  Right  External  
        Gain Percent:   15
        Line Mode:      High
    Device 1:
        Changable:      Gain  
        ID:             0x32
        Kind:           PhysicalOutput
        Use:            Export  
        Format:         LinearSigned16MSB
        Num Tracks:     2
        Access:         Export  List  
        Description:    "Stereo Channel Output"
        Min Rate:       1000
        Max Rate:       52000
        Location:       Left  Right  External  
        Gain Percent:   24
        Num Children:   2
        Children:       0x30 0x31 
    Device 2:
        Changable:      Gain  
        ID:             0x33
        Kind:           PhysicalOutput
        Use:            Export  
        Format:         LinearSigned16MSB
        Num Tracks:     1
        Access:         Export  List  
        Description:    "Mono Channel Output"
        Min Rate:       1000
        Max Rate:       52000
        Location:       Left  Right  External  
        Gain Percent:   24
        Num Children:   2
        Children:       0x30 0x31 
    Device 3:
        Changable:      Gain  
        ID:             0x31
        Kind:           PhysicalOutput
        Use:            Export  
        Format:         LinearSigned16MSB
        Num Tracks:     1
        Access:         Export  List  
        Description:    "Right Channel Output"
        Min Rate:       1000
        Max Rate:       52000
        Location:       Right  External  
        Gain Percent:   24
        Num Children:   0
    Device 4:
        Changable:      Gain  
        ID:             0x30
        Kind:           PhysicalOutput
        Use:            Export  
        Format:         LinearSigned16MSB
        Num Tracks:     1
        Access:         Export  List  
        Description:    "Left Channel Output"
        Min Rate:       1000
        Max Rate:       52000
        Location:       Left  External  
        Gain Percent:   24
        Num Children:   0
Number of Buckets:      0
    Bucket 0:
        ID:             0x1400008
        Kind:           Bucket
        Use:            Import  Export  
        Format:         ULAW8
        Num Tracks:     1
        Access:         Import  Export  Destroy  List  
        Description:    "Monty Python - Australian Table Wines"
        Sample Rate:    8000
        Num Samples:    697944
    Bucket 1:
        ID:             0x1400007
        Kind:           Bucket
        Use:            Import  Export  
        Format:         LinearUnsigned8
        Num Tracks:     1
        Access:         Import  Export  Destroy  List  
        Description:    ""I'm sorry Dave, I can't do that" - HAL from 2001"
        Sample Rate:    22255
        Num Samples:    85504
    Bucket 2:
        ID:             0x1400006
        Kind:           Bucket
        Use:            Import  Export  
        Format:         LinearUnsigned8
        Num Tracks:     1
        Access:         Import  Export  Destroy  List  
        Description:    ""He's dead, Jim" - Dr. McCoy"
        Sample Rate:    11128
        Num Samples:    31602

.fi

.SH ENVIRONMENT
.PP
.TP 8
.B AUDIOSERVER
This variable specifies the default audio server to contact if \fI\-audio\fP
is not specified on the command line.
.TP 8
.B DISPLAY
If \fBAUDIOSERVER\fP is not set, this variable is examined to find the name
of the corresponding X Window System display.
.SH "SEE ALSO"
nas(1)
.SH COPYRIGHT
Copyright 1993, 1994 Network Computing Devices, Inc.
.br
See \fInas(1)\fP for a full statement of rights and permissions.
.SH AUTHOR
Jim Fulton, Network Computing Devices, Inc.
