.\" $NCDId: @(#)autool.man,v 1.7 1994/06/01 17:38:35 greg Exp $
.TH AUTOOL 1 "" ""
.SH NAME
autool \- audio play/record tool compatible with \fIaudiotool\fP
.SH SYNOPSYS
.B audiotool
[\-audio \fIservername\fP] [\-volume \fIpercent\fP\]
[\-display \fIdisplayname\fP] [\-geom geometry\fP]  \fIfilename\fP
.SH DESCRIPTION
The \fIautool\fP program is a replacement for the Sun \fIaudiotool\fP program
used to send
audio files to Network Audio System servers.  It can be used either by making a 
symbolic link name \fIaudiotool\fP that points to \fIautool\fP and is
before the OpenWindows version or by changing the OpenWindows deskset
bindings database with the \fIbinder(1)\fP command.
.SH OPTIONS
The following options may be used with the \fIautool\fP program:
.TP 8
.BI "\-audio " servername
This option specifies the Network Audio System server on which the files should be played.
.TP 8
.BI "\-volume " "0\-100"
This option specifies the volume at which the data should be played as a 
percentage of the maximum possible volume.  The default is 10 percent.
.TP 8
.BI "\-display " displayname
This option specifies the X Window System on which the control panel should be
displayed.
.TP 8
.BI "\-geom " geometry
This option specifies the position and size of the control panel.
.SH "CONFIGURING OPENWINDOWS TO USE AUTOOL"
.PP
OpenWindows users can configure deskset applications to use \fIautool\fP
to play audio files through following steps:
.TP 8
1.
Run the deskset configuration program \fIbinder\fP.
.TP 8
2.
Locate the entry in the scrolling list named \fBaudio-file\fP click on it once
with the left mouse button.
.TP 8
3.
From the \fBProps\fP menu, select the \fBIcon...\fP entry with the right mouse
button.
.TP 8
4.
Click on the button marked \fB(+)\fP in the lower right corner with the 
left mouse button.  This will expand the window, adding another panel to 
the right.
.TP 8
5.
On the line marked \fBApplication\fP in the panel on the right, change
``audiotool'' to ``autool'' (you will need to specify a full path name if you
have not installed \fIautool\fP in a directory in your path).  The initial 
volume (which is a percentage
relative to the recorded level; the default is 10) can be increased by
inserting the ``\-v \fIpercent\fP'' option between ``autool'' and ``$FILE''.
.TP 8
6.
Press the \fIApply\fP button in the left panel.
.TP 8
7.
Back in the main \fIbinder\fP window, press the \fISave\fP button in the
upper left corner.
.TP 8
8.
Restart any deskset applications such as \fIfilemgr\fP to have the updated
values take effect.
.PP
Double clicking in \fIfilemgr\fP on file names that end in \fB.snd\fP will 
now cause \fIautool\fP to invoked.
.SH ENVIRONMENT
.PP
The following environment variables are used by \fIautool\fP:
.TP 8
.B AUDIOSERVER
This variable specifies the default audio server to contact if \fI\-audio\fP
is not specified on the command line.
.TP 8
.B DISPLAY
If \fBAUDIOSERVER\fP is not set, this variable is examined to find the name
of the corresponding X Window System display.
.SH "SEE ALSO"
nas(1)
.SH COPYRIGHT
Copyright 1993, 1994 Network Computing Devices, Inc.
.SH AUTHOR
Dave Lemke, Network Computing Devices, Inc.
