.\" $NCDId: @(#)AuCDaTSh.man,v 1.1 1994/09/27 00:24:39 greg Exp $
.\" copyright 1994 Steven King
.\"
.\" portions are
.\" * Copyright 1993 Network Computing Devices, Inc.
.\" *
.\" * Permission to use, copy, modify, distribute, and sell this software and its
.\" * documentation for any purpose is hereby granted without fee, provided that
.\" * the above copyright notice appear in all copies and that both that
.\" * copyright notice and this permission notice appear in supporting
.\" * documentation, and that the name Network Computing Devices, Inc. not be
.\" * used in advertising or publicity pertaining to distribution of this
.\" * software without specific, written prior permission.
.\" * 
.\" * THIS SOFTWARE IS PROVIDED 'AS-IS'.  NETWORK COMPUTING DEVICES, INC.,
.\" * DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING WITHOUT
.\" * LIMITATION ALL IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
.\" * PARTICULAR PURPOSE, OR NONINFRINGEMENT.  IN NO EVENT SHALL NETWORK
.\" * COMPUTING DEVICES, INC., BE LIABLE FOR ANY DAMAGES WHATSOEVER, INCLUDING
.\" * SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES, INCLUDING LOSS OF USE, DATA,
.\" * OR PROFITS, EVEN IF ADVISED OF THE POSSIBILITY THEREOF, AND REGARDLESS OF
.\" * WHETHER IN AN ACTION IN CONTRACT, TORT OR NEGLIGENCE, ARISING OUT OF OR IN
.\" * CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
.\"
.\" $Id: AuConvertDataToShort.man,v 0.2 1994/09/15 03:21:21 sking Exp $
.TH AuConvertDataToShort 3 "1.2" "audioutil"
.SH \fBName\fP
\fBAuConvertDataToShort\fP \- convert audio data from the specified format to signed short integer.
.SH \fBSynopsis\fP
#include <audio/audiolib.h>
.sp 1
int \fBAuConvertDataToShort\fP(\fIformat\fP, \fInum_bytes\fP, \fIdata\fP)
.br
    int \fIformat\fP;
.br
    int \fInum_bytes\fP;
.br
    \fBAuPointer\fP \fIdata\fP;
.SH \fBArguments\fP
.IP \fIformat\fP 1i
Specifies the format of the data.
Currently, the following data formats are defined:
\fBAuFormatULAW8\fP, \fBAuFormatLinearUnsigned8\fP, \fBAuFormatLinearSigned8\fP, \fBAuFormatLinearSigned16MSB\fP, \fBAuFormatLinearUnsigned16MSB\fP, \fBAuFormatSignedLinear16LSB\fP, and \fBAuFormatLinearUnsigned16LSB\fP.
.IP \fInum_bytes\fP 1i
Specifies the number of bytes of data.
.IP \fIdata\fP 1i
Specifies the data to convert.
.SH \fBDescription\fP
\fBAuConvertDataToShort\fP converts \fInum_bytes\fP of \fIdata\fP from \fIformat\fP to signed short integer, returning 0 if successful, or -1 if \fIformat\fP isn't valid.
.SH \fBSee Also\fP
\fBAuConvertShortToData\fP.
.sp 1
audiolib \- \fBNetwork Audio System\fP C Language Interface
