.\" $NCDId: @(#)AuDesBuc.man,v 1.1 1994/09/27 00:25:39 greg Exp $
.\" copyright 1994 Steven King
.\"
.\" portions are
.\" * Copyright 1993 Network Computing Devices, Inc.
.\" *
.\" * Permission to use, copy, modify, distribute, and sell this software and its
.\" * documentation for any purpose is hereby granted without fee, provided that
.\" * the above copyright notice appear in all copies and that both that
.\" * copyright notice and this permission notice appear in supporting
.\" * documentation, and that the name Network Computing Devices, Inc. not be
.\" * used in advertising or publicity pertaining to distribution of this
.\" * software without specific, written prior permission.
.\" * 
.\" * THIS SOFTWARE IS PROVIDED 'AS-IS'.  NETWORK COMPUTING DEVICES, INC.,
.\" * DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING WITHOUT
.\" * LIMITATION ALL IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
.\" * PARTICULAR PURPOSE, OR NONINFRINGEMENT.  IN NO EVENT SHALL NETWORK
.\" * COMPUTING DEVICES, INC., BE LIABLE FOR ANY DAMAGES WHATSOEVER, INCLUDING
.\" * SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES, INCLUDING LOSS OF USE, DATA,
.\" * OR PROFITS, EVEN IF ADVISED OF THE POSSIBILITY THEREOF, AND REGARDLESS OF
.\" * WHETHER IN AN ACTION IN CONTRACT, TORT OR NEGLIGENCE, ARISING OUT OF OR IN
.\" * CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
.\"
.\" $Id: AuDestroyBucket.man,v 1.3 1994/08/11 17:59:14 sking Exp $
.TH AuDestroyBucket 3 "1.2" "audiolib - bucket existence"
.SH \fBName\fP
\fBAuDestroyBucket\fP \- destroy bucket
.SH \fBSynopsis\fP
#include <audio/audiolib.h>
.sp 1
void \fBAuDestroyBucket\fP(\fIserver\fP, \fIbucket\fP, \fIstatus\fP)
.br
    \fBAuServer\fP *\fIserver\fP;
.br
    \fBAuBucketID\fP \fIbucket\fP;
.br
    \fBAuStatus\fP *\fIstatus\fP; /* \fBRETURN\fP */
.SH \fBArguments\fP
.IP \fIserver\fP 1i
Specifies the connection to the audio server.
.IP \fIbucket\fP 1i
Specifies the ID of the bucket to be destroyed.
.IP \fIstatus\fP 1i
If non-NULL, flush the output buffer and return the status from the server.
.SH \fBDescription\fP
\fBAuDestroyBucket\fP destroys the specified bucket, releasing the resources used by the bucket.
If the bucket is currently in use, the resources will not be released until the bucket is nolonger in use.
.SH \fBErrors\fP
\fBAuBadBucket\fP,
\fBAuBadAccess\fP.
.SH \fBSee Also\fP
\fBAuCreateBucket\fP.
.sp 1
audiolib \- \fBNetwork Audio System\fP C Language Interface
