.\" $NCDId: @(#)AuMElSt.man,v 1.1 1994/09/27 00:32:38 greg Exp $
.\" copyright 1994 Steven King
.\"
.\" portions are
.\" * Copyright 1993 Network Computing Devices, Inc.
.\" *
.\" * Permission to use, copy, modify, distribute, and sell this software and its
.\" * documentation for any purpose is hereby granted without fee, provided that
.\" * the above copyright notice appear in all copies and that both that
.\" * copyright notice and this permission notice appear in supporting
.\" * documentation, and that the name Network Computing Devices, Inc. not be
.\" * used in advertising or publicity pertaining to distribution of this
.\" * software without specific, written prior permission.
.\" * 
.\" * THIS SOFTWARE IS PROVIDED 'AS-IS'.  NETWORK COMPUTING DEVICES, INC.,
.\" * DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING WITHOUT
.\" * LIMITATION ALL IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
.\" * PARTICULAR PURPOSE, OR NONINFRINGEMENT.  IN NO EVENT SHALL NETWORK
.\" * COMPUTING DEVICES, INC., BE LIABLE FOR ANY DAMAGES WHATSOEVER, INCLUDING
.\" * SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES, INCLUDING LOSS OF USE, DATA,
.\" * OR PROFITS, EVEN IF ADVISED OF THE POSSIBILITY THEREOF, AND REGARDLESS OF
.\" * WHETHER IN AN ACTION IN CONTRACT, TORT OR NEGLIGENCE, ARISING OUT OF OR IN
.\" * CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
.\"
.\" $Id: AuMakeElementState.man,v 1.3 1994/08/11 17:59:14 sking Exp $
.TH AuMakeElementState 3 "1.2" "audiolib - element state structure initialization"
.SH \fBName\fP
\fBAuMakeElementState\fP \- initialize an element state structure
.SH \fBSynopsis\fP
#include <audio/audiolib.h>
.sp 1
\fBAuMakeElementState\fP(\fIstate\fP, \fIflow\fP, \fIelement_num\fP, \fIstate\fP)
.br
    \fBAuElementState\fP *\fIstate\fP; /* \fBRETURN\fP */
.br
    \fBAuFlowID\fP \fIflow\fP;
.br
    unsigned char \fIelement_num\fP;
.br
    unsigned char \fIstate\fP;
.SH \fBArguments\fP
.IP \fIstate\fP 1i
Returns the initialized element state structure.
.IP \fIflow\fP 1i
Specifies the ID of the flow.
.IP \fIelement_num\fP 1i
Specifies the index of the element in \fIflow\fP.
Use \fBAuElementAll\fP to specify the flow.
.IP \fIstate\fP 1i
Specifies the state of the element.
This should be one of thses constants: \fBAuStateStop\fP, \fBAuStateStart\fP, or \fBAuStatePause\fP.
.SH \fBDescription\fP
\fBAuMakeElementState\fP initializes an \fBAuElementState\fP structure for use in a subsequent call to \fBAuGetElementStates\fP or \fBAuSetElementStates\fP.
.LP
\fBAuMakeElementState\fP is implemented as a macro.
.SH \fBErrors\fP
\fBAuBadFlow\fP,
\fBAuBadElement\fP.
.sp 1
audiolib \- \fBNetwork Audio System\fP C Language Interface
